Data - Retrieve Rules

Belirtilen ölçütlere göre kuralların listesini ve özelliklerini alır.

POST http://<Servername>/OperationsManager/data/rules

İstek Gövdesi

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Name Tür Description
criteria

string

Aranacak ölçütleri belirtin.

Yanıtlar

Name Tür Description
200 OK

TableDataResponse

TAMAM. Belirtilen ölçütlere göre kuralların listesi ve özellikleri başarıyla alındı

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Örnekler

RetrieveRules

Örnek isteği

POST http://<Servername>/OperationsManager/data/rules

[
  "DisplayName like '%MomSdkTest_v3 : Discovery rule to find all instances of  NT Services on a computer%'"
]

Örnek yanıt

{
  "tableColumns": [
    {
      "field": "id",
      "header": "Id",
      "type": null,
      "hidden": true
    },
    {
      "field": "targetid",
      "header": "Target Id",
      "type": null,
      "hidden": true
    },
    {
      "field": "displayname",
      "header": "Display Name",
      "type": null,
      "hidden": false
    },
    {
      "field": "description",
      "header": "Description",
      "type": null,
      "hidden": false
    },
    {
      "field": "enabled",
      "header": "Enabled",
      "type": null,
      "hidden": false
    },
    {
      "field": "targetname",
      "header": "Target",
      "type": null,
      "hidden": false
    }
  ],
  "rows": [
    {
      "id": "54592d73-7c17-1ab2-7b31-0ab9b237ea6e",
      "targetid": "a4201cd2-feff-b19b-997c-38a8a0c0aa59",
      "displayname": "MomSdkTest_v3 : Discovery rule to find all instances of  NT Services on a computer",
      "description": "This rule discovers all instances of Windows NT Services installed on this computer by querying WMI",
      "enabled": "true",
      "targetname": "MomSdkTest_v3 : Windows Computer"
    }
  ]
}

Tanımlar

Name Description
TableColumn
TableDataResponse

TableColumn

Name Tür Description
field

string

Sütunun Adı

header

string

Sütunun üst bilgisi

hidden

boolean

Sütun gizli mi?

type

string

Sütunun Türü

TableDataResponse

Name Tür Description
rows

object[]

Tablo Veri Satırları

tableColumns

TableColumn[]

Veri tablo sütunları